Loading...
Searching...
No Matches
mdarray.hh File Reference
`#include <algorithm>`
`#include <array>`
`#include <memory>`
`#include <vector>`
`#include <span>`
`#include <tuple>`
`#include <type_traits>`
`#include <dune/common/indices.hh>`
`#include <dune/common/rangeutilities.hh>`
`#include <dune/common/std/default_accessor.hh>`
`#include <dune/common/std/mdspan.hh>`
`#include <dune/common/std/no_unique_address.hh>`
`#include <dune/common/std/impl/containerconstructiontraits.hh>`

Go to the source code of this file.

## Classes

class | Dune::Std::mdarray< Element, Extents, LayoutPolicy, Container >
| An owning multi-dimensional array analog of mdspan. More...

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::Std
| Namespace for features backported from new C++ standards.